From eb96fc83d5c8d252df00faddedb844399a700f90 Mon Sep 17 00:00:00 2001
From: Arnaud Rebillout <arnaud@preev.io>
Date: Sat, 15 Apr 2017 22:11:52 +0700
Subject: [PATCH] Do not check apt release file's expiration date during
 offline build

---
 vagrant/provision/setup-tails-builder | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/vagrant/provision/setup-tails-builder b/vagrant/provision/setup-tails-builder
index 0712d599e6..824d0a8f83 100755
--- a/vagrant/provision/setup-tails-builder
+++ b/vagrant/provision/setup-tails-builder
@@ -16,6 +16,11 @@ if [ "$http_proxy" = "http://$(hostname -f):3142" ] &&
 	http_proxy=''
 fi
 
+# During offline build, do not check release file's expiration date
+if [ "${TAILS_OFFLINE_MODE}" = 1 ]; then
+	APT_UPDATE_OPT='-o Acquire::Check-Valid-Until=false'
+fi
+
 rm -f /etc/apt/preferences.d/* /etc/apt/sources.list.d/*
 
 # Configure apt to retry
@@ -57,7 +62,7 @@ fi
 echo 'deb http://ftp.us.debian.org/debian jessie-backports main' > /etc/apt/sources.list.d/jessie-backports.list
 
 if ! systemctl --quiet is-active apt-cacher-ng.service; then
-    apt-get update
+    apt-get $APT_UPDATE_OPT update
     apt-get -o Dpkg::Options::="--force-confold" -y install -t jessie-backports apt-cacher-ng
 fi
 
@@ -72,7 +77,7 @@ if [ "$LOCAL_HTTP_PROXY" ]; then
 	http_proxy="$LOCAL_HTTP_PROXY"
 fi
 
-apt-get update
+apt-get $APT_UPDATE_OPT update
 
 # Upgrade if needed
 apt-get -y dist-upgrade
-- 
2.11.0

